Skip to main content
POST
/
payments
/
v1
/
payments
/
confirm
Confirm Direct Charge Customer Input
curl --request POST \
  --url https://sandbox-api.payfonte.com/payments/v1/payments/confirm \
  --header 'Content-Type: application/json' \
  --header 'client-id: <api-key>' \
  --header 'client-secret: <api-key>' \
  --data '
{
  "reference": "DDC20260702112401ZIWGF",
  "customerInput": {
    "otp": "445985"
  }
}
'
import requests

url = "https://sandbox-api.payfonte.com/payments/v1/payments/confirm"

payload = {
"reference": "DDC20260702112401ZIWGF",
"customerInput": { "otp": "445985" }
}
headers = {
"client-id": "<api-key>",
"client-secret": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'client-id': '<api-key>',
'client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({reference: 'DDC20260702112401ZIWGF', customerInput: {otp: '445985'}})
};

fetch('https://sandbox-api.payfonte.com/payments/v1/payments/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "statusCode": 201,
  "data": {
    "action": "processing",
    "sessionId": "cos-1z3x983b01300",
    "provider": "qmoney-gambia",
    "reference": "DDC20260702115234PTIFG",
    "providersReference": "PIX_44241170102532681668",
    "amount": 1000,
    "totalAmount": 1000,
    "charge": 0,
    "status": "pending",
    "data": {
      "message": "OTP submitted successfully. Payment confirmation is processing."
    },
    "statusDescription": "Awaiting Provider's Feedback"
  }
}

Authorizations

client-id
string
header
required
client-secret
string
header
required

Body

application/json

Direct Charge customer input confirmation request

reference
string
required

Direct Charge transaction reference returned by the initial request.

Example:

"DDC20260702112401ZIWGF"

customerInput
object
required

Response

201 - application/json

Customer input accepted and payment confirmation is processing.

statusCode
integer
required

Application status code returned in the response body.

Example:

201

data
object
required